import * as React from "react";

const SelfstudyPage = () => {
  return (
    <>
      <div class="container-fluid">
        <div class="row">
          <h3>易</h3>
          <ul>
            <li>(希臘) 畢達哥拉斯, 數秘術</li>
            <li>(中國) 周文王, 周易 + 納音</li>
            <li>(中國) 劉伯溫, 火珠林</li>
            <li>(日本) 高島吞象, 高島斷易</li>
            <li>(香港) 師傅, 周易 + 納音 + 數秘術</li>
          </ul>
          <h3>十天干</h3>
          <ul>
            <li>甲 1 陽</li>
            <li>乙 1 陰</li>
            <li>丙 2 陽</li>
            <li>丁 2 陰</li>
            <li>戊 3 陽</li>
            <li>己 3 陰</li>
            <li>庚 4 陽</li>
            <li>辛 4 陰</li>
            <li>壬 5 陽</li>
            <li>癸 5 陰</li>
          </ul>
          <p>天干有其專屬的五行屬性</p>
          <h3>十二地支</h3>
          <ul>
            <li>子 1 鼠 (中國) 鼠 (印度) 鼠 (日本)</li>
            <li>丑 1 牛 (中國) 牛 (印度) 牛 (日本)</li>
            <li>寅 2 虎 (中國) 獅 (印度) 虎 (日本)</li>
            <li>卯 2 兔 (中國) 兔 (印度) 兔 (日本)</li>
            <li>辰 3 龍 (中國) 龍 (印度) 龍 (日本)</li>
            <li>巳 3 蛇 (中國) 蟒蛇 (印度) 蛇 (日本)</li>
            <li>午 1 馬 (中國) 馬 (印度) 馬 (日本)</li>
            <li>未 1 羊 (中國) 羊 (印度) 綿羊 (日本)</li>
            <li>申 2 猴 (中國) 猴 (印度) 猴 (日本)</li>
            <li>酉 2 雞 (中國) 金翅鳥 (印度) 雞 (日本)</li>
            <li>戌 3 狗 (中國) 狗 (印度) 狗 (日本)</li>
            <li>亥 3 豬 (中國) 豬 (印度) 野豬 (日本)</li>
          </ul>
          <p>地支有其專屬的五行屬性</p>
          <h3>六十甲子</h3>
          <ul>
            <li>十天干與十二地支搭配成六十對</li>
            <li>干支60年循環一次</li>
          </ul>
          <h3>五音: 古代的音符</h3>
          <ul>
            <li>宮</li>
            <li>商</li>
            <li>角</li>
            <li>徵</li>
            <li>羽</li>
          </ul>
          <h3>十二音律: 古代的12個高度不同的標準音高</h3>
          <ul>
            <li>黃鍾 (C)</li>
            <li>大呂 (G)</li>
            <li>太簇 (D)</li>
            <li>夾鍾 (A)</li>
            <li>姑洗 (E)</li>
            <li>仲呂 (B)</li>
            <li>蕤賓 (F#)</li>
            <li>林鍾 (C#)</li>
            <li>夷則 (G#)</li>
            <li>南呂 (D#)</li>
            <li>無射 (A#)</li>
            <li>應鍾 (F)</li>
          </ul>
          <p>
            十二律分為陰陽兩類，奇數六律為陽律，叫做六律；偶數六律為陰呂，稱為六呂，合稱律呂。一般所說的六律包括陰陽各六的十二律。
          </p>
          <p>
            由於音律與一年中的月分恰好都定有十二個，於是在中國上古時代，人們便把十二律和十二月聯繫起來，又名十二月律。
          </p>
          <ul>
            <li>孟春之月，律中太簇；</li>
            <li>仲春之月，律中夾鐘；</li>
            <li>季春之月，律中姑洗；</li>
            <li>孟夏之月，律中仲呂；</li>
            <li>仲夏之月，律中蕤賓；</li>
            <li>季夏之月，律中林鐘；</li>
            <li>孟秋之月，律中夷則；</li>
            <li>仲秋之月，律中南呂；</li>
            <li>季秋之月，律中無射；</li>
            <li>孟冬之月，律中應鐘；</li>
            <li>仲冬之月，律中黃鐘；</li>
            <li>季冬之月，律中大呂。</li>
         </ul>
          <h3>納音五行</h3>
          <ul>
            <li>納: 加入, 配屬</li>
            <li>古人把 "六十甲子" 按金木水火土分為五種屬性，每兩年為一行，為一個年命納音。</li>
            <li>納音是配屬了五行之後的<b>生命運轉法則</b>，六十年輪轉一次。</li>
            <li>天干五行相配地支五行 = 新五行屬性: 金年生者，即為金命，木年生者，則為木命。</li>
          </ul>
          <p>
            納音五行假借了古代 五音 和 十二音律 而組合成，故又稱假借五行。
          </p>
          <h3>六十甲子納音五行歌訣</h3>
            <ul>
              <li>甲子乙丑海中金，丙寅丁卯爐中火。戊辰己巳大林木，庚午辛未路旁土。</li>
              <li>壬申癸酉劍鋒金，甲戌乙亥山頭火。丙子丁丑澗下水，戊寅己卯城頭土。</li>
              <li>庚辰辛巳白臘金，壬午癸未楊柳木。甲申乙酉泉中水，丙戌丁亥屋上土。</li>
              <li>戊子己丑霹靂火，庚寅辛卯松柏木。壬辰癸巳長流水，甲午乙未砂中金。</li>
              <li>丙申丁酉山下火，戊戌己亥平地木。庚子辛丑璧上土，壬寅癸卯金簿金。</li>
              <li>甲辰乙巳覆燈火，丙午丁未天河水。戊申己酉大驛土，庚戌辛亥釵釧金。</li>
              <li>壬子癸丑桑柘木，甲寅乙卯大溪水。丙辰丁巳沙中土，戊午己未天上火。</li>
              <li>庚申辛酉石榴木，壬戌癸亥大海水。</li>
            </ul>
            <h3>有待查證</h3>
            <ul>
              <li>天干管天文</li>
              <li>地支管人事</li>
              <li>納音管地理</li>
              <li>正五行五行相生始於水、生木、生火、生土、終於金；納音五行始於金、次火、次木、次水、次土。</li>
              <li>正五行異類相生，如木生火，木火非同類；而納音五行，則是同類相生；</li>
              <li>正五行講相生相剋規律；納音五行講感應規律。</li>
              <li>正五行只是五行的普遍規律；而納音五行是五行中一種特殊規律。</li>
          </ul>
          <h3>人生卦</h3>
          <ul>
            <li>主</li>
            <li>互</li>
            <li>變</li>
            <li>錯</li>
          </ul>
          <h3>參考工具</h3>
          <ul>
            <li>
              香港天文台: [ 
                <a target="_blank" rel="noreferrer" href="https://www.hko.gov.hk/tc/gts/time/conversion.htm">公曆與農曆對照表</a> ,
                <a target="_blank" rel="noreferrer" href="https://www.hko.gov.hk/tc/gts/astronomy/Solar_Term.htm">二十四節氣的日期及時間資料</a> ,
              ]
            </li>
          </ul>
        </div>
      </div>
    </>
  )
}

export default SelfstudyPage

